#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long int t, a,b,i,j, k=-1, broj;

    cin>>t;

    for(i=0; i<t;i++)
    {
        cin>>a>>b;
        for(j=2; j*j<=a; j++)
        {
            if(a%j==0)
            {
                broj=a/j;
                if((broj^j)==b)
                {
                    printf("%lld %lld",j,a/j);
                    k=0;
                    break;
                }
            }
        }
        if(k==-1)
        {
            printf("%d",-1);
        }
        k=-1;
    }
    return 0;
}